-- MySQL dump 9.07
-- Host: localhost    Database: pt
-- Server version       4.0.12-standard
--
-- Table structure for table 'hit'
--

CREATE TABLE hit (
  hit_id int(11) NOT NULL auto_increment,
  primer_id int(11) NOT NULL default '0',
  usa varchar(255) default NULL,
  position int(11) default NULL,
  length int(11) default NULL,
  strand tinyint(1) default NULL,
  mismatches int(11) default NULL,
  creator varchar(40) default NULL,
  PRIMARY KEY  (hit_id)
) ENGINE = InnoDB;

--
-- Table structure for table 'id_table'
--

CREATE TABLE id_table (
  ID_TABLE_ID int(11) NOT NULL default '0',
  TABLE_NAME varchar(255) NOT NULL default '',
  NEXT_ID int(11) default NULL,
  QUANTITY int(11) default NULL,
  PRIMARY KEY  (ID_TABLE_ID),
  UNIQUE KEY TABLE_NAME (TABLE_NAME)
) ENGINE = InnoDB;

--
-- Table structure for table 'orf'
--

CREATE TABLE orf (
  orf_id int(11) NOT NULL auto_increment,
  name varchar(40) default NULL,
  usa varchar(255) default NULL,
  source_usa varchar(255) default NULL,
  location mediumtext,
  length int(11) default NULL,
  PRIMARY KEY  (orf_id)
) ENGINE = InnoDB;

--
-- Table structure for table 'parameter'
--

CREATE TABLE parameter (
  parameter_id int(11) NOT NULL auto_increment,
  project_id int(11) NOT NULL default '0',
  parameter_key varchar(255) NOT NULL default '',
  parameter_value text(32000) NOT NULL default '',
  PRIMARY KEY  (parameter_id)
) ENGINE = InnoDB;

--
-- Table structure for table 'parameter_description'
--

CREATE TABLE parameter_description (
  parameter_key varchar(255) NOT NULL default '',
  allowed_values mediumtext,
  default_value varchar(255) default NULL,
  description varchar(255) default NULL,
  PRIMARY KEY  (parameter_key)
) ENGINE = InnoDB;

--
-- Table structure for table 'pcr_product'
--

CREATE TABLE pcr_product (
  pcr_product_id int(11) NOT NULL auto_increment,
  left_hit_id int(11) NOT NULL default '0',
  right_hit_id int(11) NOT NULL default '0',
  sequence mediumtext,
  seqlen int(11) default NULL,
  tm double default NULL,
  gc double default NULL,
  status int(11) default NULL,
  creator varchar(40) default NULL,
  PRIMARY KEY  (pcr_product_id)
) ENGINE = InnoDB;

--
-- Table structure for table 'primer'
--

CREATE TABLE primer (
  primer_id int(11) NOT NULL auto_increment,
  local_name varchar(80) default NULL,
  sequence varchar(255) NOT NULL default '',
  seqlen int(11) NOT NULL default '0',
  tm double default NULL,
  gc double default NULL,
  status int(11) default NULL,
  PRIMARY KEY  (primer_id),
  KEY local_name_idx (local_name)
) ENGINE = InnoDB;

--
-- Table structure for table 'project'
--

CREATE TABLE project (
  project_id int(11) NOT NULL auto_increment,
  name varchar(255) NOT NULL default '',
  shortname varchar(40) NOT NULL default '',
  directory_path mediumtext,
  parent_id int(11) default NULL,
  PRIMARY KEY  (project_id)
) ENGINE = InnoDB;

--
-- Table structure for table 'project_hit'
--

CREATE TABLE project_hit (
  project_id int(11) NOT NULL default '0',
  hit_id int(11) NOT NULL default '0'
) ENGINE = InnoDB;

--
-- Table structure for table 'project_orf'
--

CREATE TABLE project_orf (
  project_id int(11) NOT NULL default '0',
  orf_id int(11) NOT NULL default '0'
) ENGINE = InnoDB;

--
-- Table structure for table 'project_pcr_product'
--

CREATE TABLE project_pcr_product (
  project_id int(11) NOT NULL default '0',
  pcr_product_id int(11) NOT NULL default '0',
  KEY project_id (project_id),
  KEY pcr_product_id (pcr_product_id)
) ENGINE = InnoDB;

--
-- Table structure for table 'project_primer'
--

CREATE TABLE project_primer (
  project_id int(11) NOT NULL default '0',
  primer_id int(11) NOT NULL default '0'
) ENGINE = InnoDB;


