/*
 * Created on 22.10.2004 
 *
 * $Header: /Users/wova/laufend/cvs/UrlBlast/ppblast.java,v 1.3 2005/03/27 11:43:23 wova Exp $
 */


import java.io.*;
import java.util.*;

import org.apache.log4j.Logger;
import org.apache.log4j.PropertyConfigurator;

import de.vahrson.blast.PrimerPairBlast;
import de.vahrson.blast.PrimerPairBlastArgs;

/**
 * @author wova
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class ppblast {
	private Properties fQuery;
	private PrimerPairBlastArgs fArgHandler;
	
	private static final String VERSION_INFO="ppblast Version 1.1 08feb2005 Copyright 2004-2005 Dr. Wolfgang Vahrson. All Rights Reserved.";

	static private Logger log= Logger.getLogger(urlblast.class);

	public ppblast(String[] args) throws Exception {
		super();
		initLog();
		fArgHandler= new PrimerPairBlastArgs(args);
		fQuery= new Properties();
		initQuery();
	}

	public static void main(String[] args) {
		try {
			new ppblast(args).run();
		}
		catch (Exception e) {
			e.printStackTrace(System.err);
		}
	}

	public void run() {
		if (fArgHandler.isWantVersion()) {
			version();
		}
		if ( fArgHandler.isWantHelp()) {
			help();
			System.exit(0);
		}
		
		int count= 0;
		try {
			log.info(VERSION_INFO);
			PrimerPairBlast runner= new PrimerPairBlast(fQuery, new InputStreamReader(fArgHandler.getPrimerTab()));
			runner.run();
		}
		catch (Exception e) {
			log.error("Exception in run reading sequence #" + count);
		}
	}

	void initLog() {
		PropertyConfigurator.configure(System.getProperty("log4j.properties", "log4j.properties"));
	}

	void help() {
			System.err.println(fArgHandler.documentation());		
	}
	
	void version() {
		PrintWriter p= new PrintWriter(new OutputStreamWriter(fArgHandler.getOutput()));
		p.println(VERSION_INFO);
		p.flush();
	}

	void initQuery() throws IOException {
		InputStream loadStream= fArgHandler.getQueryOptions();
		if (loadStream != null) {
			fQuery.load(loadStream);
		}
	}
}
